Loading...
Searching...
No Matches
HistAcc.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Utilities/Fallible.h>`
`#include <casacore/scimath/Mathematics/StatAcc.h>`
`#include <casacore/casa/Containers/Block.h>`
`#include <casacore/casa/iosfwd.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

| casacore::HistAcc (const uInt nBuff)
| Makes a histogram from input values.
| casacore::HistAcc (const uInt nBuff, const T width)
| casacore::HistAcc (const T low, const T high, const T width)
| casacore::HistAcc (const HistAcc &)
| casacore::~HistAcc ()
void | casacore::copy (const HistAcc &)
| Copy operations.
HistAcc & | casacore::operator= (const HistAcc &)
void | casacore::put (const T v)
| Accumulate (put) value(s) into the histogram.
void | casacore::put (const Array< T > &vv)
void | casacore::put (const Block< T > &vv)
void | casacore::reset ()
| Reset the contents of the bins to zero, but retain the current bin definition.
Fallible< T > | casacore::getPercentile (const Float p)
| Empty all bins whose contents is < nmin (e.g.
Fallible< T > | casacore::getMedian ()
Fallible< T > | casacore::getBinWidth () const
| All bins have the same width.
const StatAcc< T > & | casacore::getStatistics ()
| Get the internal Statistics accumulator (see StatAcc,h).
Fallible< uInt > | casacore::getHistogram (Block< uInt > &bins, Block< T > &values)
| The return value is the nr of histogram bins, and is invalid if the number is zero.
void | casacore::printHistogram (ostream &, const String &caption)
| Get the nr of `spurious' values, i.e.
void | casacore::put1 (const T)
| Accumulate a single value into the histogram.
void | casacore::defineBins (const T low, const T high, const T width)
| Definition of histogram bins with given parameters.
void | casacore::initBuffer (const uInt size)
| Internal helper functions for the automatic definition of histogram parameters, using the contents of itsBuffer.
void | casacore::putBuffer (const T v)
void | casacore::clearBuffer ()
void | casacore::autoDefineBins ()
void | casacore::init ()
| Other internal helper function(s).
Fallible< T > | casacore::getBinValue (const uInt index) const

## Variables

Block< uInt > | casacore::itsBinContents
Block< T > | casacore::itsBinHighLimit
T | casacore::itsUserDefinedBinWidth
StatAcc< T > | casacore::itsStatAcc
Bool | casacore::itsAutoDefineMode
Block< T > | casacore::itsBuffer
uInt | casacore::itsBufferContents